وردپرس میتواند سایت شما را به صورت خودکار به روزرسانی کند که شامل پلاگین ها و تم های زیادی می باشد. با وجود مزایای امنیتی بسیار ، این امر میتواند باعث مشکلاتی در سایت شما شود.

لغو به روزرسانی خودکار وردپرس

اگر شما هم یکی از میلیون ها نفری هستید که از پلاگین Yoast SEO استفاده  میکنید، پس  سایت شما به طور خودکار حدود یک هفته پیش بدون اطلاع شما به روز شده است!

بروز رسانی های خودکار یکی از موارد امنیتی مهم هستند زیرا بسیاری از کاربران پلاگین های خود را هرگز به روز رسانی نمیکنند اما با این حال این ممکن است گاهی باعث مشکلدر سایت شما شود.

غیر فعال کردن به روزرسانی های خودکار وردپرس

ساده ترین راه برای انجام این کار  نصب و فعالسازی پلاگین Disable Updates Manager است. پس از نصب پلاگین به تنظیمات ان رفته و همانند تصویر زیر مواردی که نمیخواهید به روز رسانی شوند را تیک بزنید.

disableupdatesmanager

اما اگر نمیخواهید از این پلاگین استفاده کنید میتوانید با اضافه کردن چند خط ساده به فایل wp-config.php  این کار را انجام دهید.

این خط همه به روز رسانی های خودکار وردپرس را غیر فعال میکند.

define( 'WP_AUTO_UPDATE_CORE', false );

اما اگر میخواهید بروز رسانی های جزئی مثلا فقط پوسته ها و یا فقطپلاگین ها را غیر فعال کنید باید فیلتر زیر را درفایل functions.php پوسته خود قرار دهید.

غیر فعال کردن بروز رسانی خودکار پلاگین ها

add_filter( 'auto_update_plugin', '__return_false' );

غیر فعال کردن بروز رسانی خودکار  پوسته ها

 add_filter( 'auto_update_theme', '__return_false' );

تا اینجا نحوه غیر فعال کردن بروز رسانی خودکار ورردپرس را شرح دادم اما سوال اینجاست که ایا لازم است این بروز رسانی ها غیر فعال شوند؟ یا نه؟

ما باید به روز رسانی پلاگین ها و پوسته ها را غیر فعال و به روز رسانی جزئی هسته ای را فعال کنیم.در ادامه مزایا و معایب این کار را شرح خواهم داد تا تصمیم گیری برای شما راحت تر شود.

مزایا

لازم نیست در مورد به روز رسانی نسخه های جزئی  وردپرس که برای تعمیر و نگهداری و اهداف امنیتی تحت فشار قرار دادند نگران باشید.

اگر مسئله امنیتی مهمی بوجود بیاید حتی اگر شما ندانید و یا در تعطیلات باشید به صورت اتوماتیک به روز رسانی خواهد شد.

معایب

گاهی اوقات ممکن است به روز رسانی خودکار سایت شما را با مشکل رو به رو کند.اما تجربه نشان داده است که به روز رسانی نسخه های جزئی  وردپرس با مشکل رو به رو نشده است .

چنانچه وردپرس احساس کند که یک مسئله امنیتی را باید اصلاح کند پوسته ها و یا پلاگین های شما را به روز رسانی میکند که این باعث میشود مواردی که در پوسته ها و یا پلاگین های خود اصلاح و یا اضافه کرده اید از بین بروند. البته احتمال چنین مواردی بسیار کم است اما چون ما به دنبال بهترین شیوه و راهکار هستیم به شما پیشنهاد میکنیم که از بروز رسانی خودکار افزونه ها و پوسته های خود جلوگیری کنید.

منبع : wpbeginner

امتیاز شما از 1 تا 5
1 ستاره میدم به نوشته2 ستاره میدم به نوشته3 ستاره میدم به نوشته4 ستاره میدم به نوشته5 ستاره میدم به نوشته
Loading...